### Constructor

# St GenericAccessible new_for_actor

#### Declaration [src]

    AtkObject*
    st_generic_accessible_new_for_actor (
      ClutterActor* actor
    )

#### Description [src]

Create a new `StGenericAccessible` for `actor`.

This is useful only for custom widgets that need a proxy for `AtkObject`.

#### Parameters

`actor`

  Type: `ClutterActor`

  A `Clutter` Actor.

  The data is owned by the caller of the function.

#### Return value

Type: `AtkObject`

A new `AtkObject`.

The caller of the function takes ownership of the data, and is responsible for freeing it.